﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Imaging;

using DevExpress.Xpf.Editors;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            CreateEditButton(this.buttonEdit, @"/TestProject;component\plus.png");
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 편집 버튼 생성하기 - CreateEditButton(buttonEdit, imageURL)

        /// <summary>
        /// 편집 버튼 생성하기
        /// </summary>
        /// <param name="buttonEdit">버튼 에디터</param>
        /// <param name="imageURL">이미지 URL</param>
        private void CreateEditButton(ButtonEdit buttonEdit, string imageURL)
        {
            BitmapImage bitmapImage = new BitmapImage(new Uri(imageURL, UriKind.Relative));

            Image image = new Image() { Source = bitmapImage };

            ButtonInfo buttonInfo = new ButtonInfo()
            {
                GlyphKind = GlyphKind.User,
                Content   = image,
            };

            buttonEdit.Buttons.Add(buttonInfo);
        }

        #endregion
    }
}